{% extends 'adminBaseNav.html.twig' %}

{% block title %} Administration - Produits{% endblock %}
{% block body %}
    <!-- container -->
    <div class="container">
        <!-- row -->
        <div class="row">

            <!-- section title -->
            <div class="col-md-12">
                <div class="section-title">
                    <h3 class="title"> Gestion des Produits </h3></div>
                <div class="col-md-8 offset-2">
                    <h3 class="title"> <a href="{{ path('new_product') }}"><i class="fa fa-plus-circle"></i> Ajouted une produit</a></h3>
                </div>
                <table class="table table-hover">
                    <thead>
                    <tr>
                        <th>Image</th>
                        <th>Nom</th>
                        <th>Catégorie</th>
                        <th>Date d'Ajoute</th>
                        <th>Prix</th>
                        <th>Promo Prix</th>
                        <th>Nouveau</th>
                        <th>Supprimer</th>
                        <th>Modifier</th>

                    </tr>
                    </thead>
                    <tbody>
                    {% for product in products %}
                        <tr>
                            <td><img style="width: 100px; height: 100px" src="{{ asset('assets/img/products/' ~ product.image) }}" alt="{{ product.name }}"></td>
                            <td><a href="{{ path('admin_product', {slug:product.slug}) }}">{{ product.name }}</a></td>
                            <td>{{ product.category.name }}</td>
                            <td>{{ product.addDate|date('d/m/Y') }}</td>
                            <td>{{ product.price }}</td>
                            <td>{{ product.promoPrice }}</td>
                            <td><i class="fa {{ product.isNew ? 'fa-check-circle' : 'fa-times' }}"></i></td>

                            <td>
                                <a href="{{ path('del_product', {slug:product.slug}) }}" onclick="return confirm('Supprimer le produit?, Tous les détails et commentaires liés seront supprimés')" class="btn btn-danger"><i
                                            class="icofont-ui-delete"></i></a></td>
                            <td>
                                <a href="{{ path('edit_product', {slug:product.slug}) }}" class="btn btn-primary"><i
                                            class="icofont-edit"></i></a>
                            </td>

                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
                {# display navigation #}
                <div class="navigation">
                    {{ knp_pagination_render(products) }}
                </div>
            </div>
        </div>
    </div>


{% endblock %}
